import React from 'react'

const Dropdown = ({ title, image, data, id }) => {
    return (
        <div className='cursor-pointer'>

            <div className="flex gap-16 items-center justify-between" id={id} data-dropdown-toggle={`dropdown${id}`}>
                <p className='text-tertiary text-sm mt-2'>{title}</p>
                <img src={image} alt="" />
            </div>


            <div id={`dropdown${id}`} className="z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow-lg w-44 dark:bg-gray-700">
                <ul className="py-2 text-sm text-gray-700 dark:text-gray-200" aria-labelledby={id}>
                    {data.map(item => (
                        <li key={item}>
                            <a href="#" className="block px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600 dark:hover:text-white">{item}</a>
                        </li>
                    ))}
                </ul>
            </div>
        </div>



    )
}

export default Dropdown